Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class Library

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
          org.gradle.plugins.ide.eclipse.model.AbstractLibrary
              org.gradle.plugins.ide.eclipse.model.Library

    class Library
    extends AbstractLibrary

Authors:
  Hans Dockter

Field Summary

Fields inherited from class AbstractClasspathEntry
COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE

Constructor Summary
`Library(Node node, FileReferenceFactory fileReferenceFactory)`
`Library(FileReference library)`

Method Summary
`String` | `getKind()`
`String` | `toString()`

Methods inherited from class AbstractLibrary
appendNode, equals, hashCode, setJavadocPath, setLibrary, toString

Methods inherited from class AbstractClasspathEntry
addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes

Constructor Detail

### Library

    Library(Node node, FileReferenceFactory fileReferenceFactory)

### Library

    Library(FileReference library)

Method Detail

### getKind

    String getKind()

### toString

    String toString()

Gradle API 1.1-rc-1